//////////////////////////////////////////////////////////
// PSIDs.h - ProtoSpec IDs definition file
// Copyright 2003, WildPackets, Inc.
//
// ProtoSpecs.dll version 1.0.0.9
// PSpecs.xml version 2.0.0.4
//
// Last modified: 04/07/2003 17:10:23
//////////////////////////////////////////////////////////

// root nodes are nodes in the 1 - 8 range (currently 1 - 5)
#define IS_ROOT_PSID( id ) ( GET_PSID( id ) < 9 )
// root nodes (1-5, up to 8), SNAP (9), and LSAP (10) packets are "LLC" packets
#define IS_LLC_PSID( id ) ( GET_PSID( id ) <= 10 )

namespace ProtoSpecDefs
{
	enum
	{
		IEEE_802_3 = 1,
		EType2 = 2,
		Token_Ring = 4,
		IEEE_802_11 = 5,
		Error = 6,
		SNAP = 9,
		LSAP = 10,
		Loopback = 11,
		IEEE_802_1 = 12,
		Discovery = 13,
		PPPoE = 20,
		PPPoE_Discovery = 21,
		PPPoE_Session = 22,
		Padding = 23,
		First_Choice_Compression = 24,
		IP_Control_Protocol = 25,
		Link_Control = 26,
		Password_Authentication = 27,
		Link_Quality_Report = 28,
		Challenge_Handshake_Authentication = 29,
		MPLS = 30,
		VLAN = 40,
		VLAN_EType2 = 41,
		VLAN_802_3 = 42,
		CRC_Error = 50,
		Frame_Error = 51,
		CRC_AND_Frame_Error = 52,
		Oversize_Error = 53,
		CRC_AND_Oversize_Error = 54,
		Frame_AND_Oversize_Error = 55,
		CRC_AND_Frame_AND_Oversize_Error = 56,
		Runt_Error = 57,
		CRC_AND_Runt_Error = 58,
		Frame_AND_Runt_Error = 59,
		CRC_AND_Frame_AND_Runt_Error = 60,
		AppleTalk_Ph1 = 99,
		MAC = 100,
		MAC_Response = 102,
		MAC_Beacon = 103,
		MAC_Claim_Token = 104,
		MAC_Ring_Purge = 105,
		MAC_Act_Mon_Pres = 106,
		MAC_Stby_Mon_Pres = 107,
		MAC_Dup_Addr_Test = 108,
		MAC_Lobe_Test = 109,
		MAC_Xmit_Fwd = 110,
		MAC_Rmve_Ring_Sta = 111,
		MAC_Change_Params = 112,
		MAC_Init_Ring_Sta = 113,
		MAC_Req_Sta_Addr = 114,
		MAC_Req_Sta_State = 115,
		MAC_Req_Stn_Attmnt = 116,
		MAC_Reqest_Init = 117,
		MAC_Rpt_Sta_Addrs = 118,
		MAC_Rpt_Sta_State = 119,
		MAC_Rpt_Sta_Attmnt = 120,
		MAC_Rpt_New_Mon = 121,
		MAC_Rpt_NAUN_Change = 122,
		MAC_Rpt_Nghbr_Ntfy_Inc = 123,
		MAC_Rpt_Mon_Err = 124,
		MAC_Rpt_Soft_Err = 125,
		MAC_Rpt_Xmit_Fwd = 126,
		Token = 150,
		LAN_Management = 160,
		TR_LLC = 170,
		IEEE_802_11_Control = 200,
		IEEE_802_11_Management = 201,
		IEEE_802_11_Data = 202,
		IEEE_802_11_PS_Poll = 210,
		IEEE_802_11_RTS = 211,
		IEEE_802_11_CTS = 212,
		IEEE_802_11_Ack = 213,
		IEEE_802_11_CFE = 214,
		IEEE_802_11_CFEANDCFA = 215,
		IEEE_802_11_Assoc_Req = 220,
		IEEE_802_11_Assoc_Rsp = 221,
		IEEE_802_11_Reassoc_Req = 222,
		IEEE_802_11_Reassoc_Rsp = 223,
		IEEE_802_11_Probe_Req = 224,
		IEEE_802_11_Probe_Rsp = 225,
		IEEE_802_11_Beacon = 226,
		IEEE_802_11_ATIM = 227,
		IEEE_802_11_Disassoc = 228,
		IEEE_802_11_Auth = 229,
		IEEE_802_11_Deauth = 230,
		IEEE_802_11_WEP_Data = 240,
		IEEE_802_11_Frag = 241,
		AARP = 450,
		AARP_Request = 451,
		AARP_Response = 452,
		AARP_Probe = 453,
		ARP = 500,
		ARP_Request = 501,
		ARP_Response = 502,
		RARP = 510,
		RARP_Request = 513,
		RARP_Response = 514,
		IP = 1000,
		IP_Fragment = 1001,
		ICMP = 1100,
		PING_Req = 1101,
		PING_Reply = 1102,
		ICMP_DestUnreach = 1103,
		ICMP_Time_Ex = 1104,
		ICMP_Redirect = 1105,
		ICMPv6 = 1120,
		ICMP_RSol = 1126,
		ICMP_RAdv = 1127,
		ICMP_NSol = 1128,
		ICMP_NAdv = 1129,
		IGMP = 1150,
		IGAP = 1151,
		EIGRP = 1160,
		EIGRP_Update = 1161,
		EIGRP_Query = 1162,
		EIGRP_Reply = 1163,
		EIGRP_Hello = 1164,
		OSPF = 1200,
		OSPF_Hello = 1201,
		OSPF_DDs = 1202,
		OSPF_LSR = 1203,
		OSPF_LSU = 1204,
		OSPF_LSA = 1205,
		PUP = 1250,
		EGP = 1300,
		IGRP = 1350,
		TCP = 1400,
		TELNET = 1401,
		FTP = 1402,
		POP3 = 1405,
		NNTP = 1406,
		FTP_Ctl = 1407,
		FTP_Data = 1408,
		SMTP = 1409,
		CSO = 1410,
		rlogin = 1411,
		rsh = 1412,
		DNS = 1413,
		BOOTP = 1414,
		GOPHER = 1416,
		Finger = 1417,
		HTTP = 1418,
		RPC_NFS = 1421,
		POP2 = 1422,
		Cayman = 1423,
		CU_SeeMe = 1424,
		DHCP = 1425,
		CMIP = 1426,
		HTTP_Proxy = 1427,
		AFP = 1428,
		NetBIOS = 1429,
		NB_Name_Svc = 1430,
		NB_DU_Dgram = 1431,
		NB_DG_Dgram = 1432,
		NB_BC_Dgram = 1433,
		NB_Err = 1434,
		NB_QryReq = 1435,
		NB_PQRsp = 1436,
		NB_NQRsp = 1437,
		NB_SessMsg = 1438,
		NB_SessReq = 1439,
		NB_PSesRsp = 1440,
		NB_NSesRsp = 1441,
		NB_RSesRsp = 1442,
		NB_KeepAlive = 1443,
		Retrospect = 1447,
		WhoIs = 1448,
		Kerberos = 1449,
		IMAP = 1450,
		BGP = 1451,
		IMAP3 = 1452,
		WINS = 1453,
		HTTPS = 1454,
		Timbuktu = 1455,
		RPC = 1456,
		Lotus_Notes = 1457,
		HSRP = 1458,
		SSH = 1459,
		AOL = 1460,
		RADIUS = 1461,
		RTSP = 1462,
		L2TP = 1463,
		ISAKMP = 1464,
		FileMaker = 1465,
		Mobile_IP = 1466,
		BACnet = 1467,
		MSN_Messenger = 1471,
		LDAP = 1473,
		X_Windows = 1475,
		TNS = 1476,
		UDP = 1500,
		FSP = 1502,
		NTP = 1503,
		RIP = 1504,
		FSP_Ctl = 1507,
		FSP_Data = 1508,
		TFTP = 1515,
		SNMP = 1519,
		SNMP_Trap = 1520,
		L2F = 1564,
		RIPv1 = 1590,
		RIPv2 = 1591,
		RIPv3 = 1592,
		RIPv4 = 1593,
		SNA = 1600,
		VRRP = 2210,
		ESP = 2211,
		AH = 2212,
		GRE = 2213,
		RSVP = 2214,
		PIM = 2215,
		RTELNET = 2458,
		CIFS = 2461,
		SQL = 2466,
		NCP = 2467,
		SLP = 2469,
		PPTP = 2472,
		SIP = 2474,
		MGCP = 2483,
		H_323_Host_Call = 2490,
		H_225 = 2491,
		TDS = 2492,
		LDAPS = 2493,
		IMAPS = 2494,
		SCCP = 2495,
		Gnutella = 2496,
		iSCSI = 2497,
		GTP = 2498,
		LPD = 2499,
		SAP = 2500,
		Q_931 = 2501,
		Citrix_ICA = 2502,
		RADIUS_Acct = 2566,
		RTP = 2670,
		RTCP = 2671,
		G_711 = 2680,
		G_723 = 2681,
		G_728 = 2682,
		G_729 = 2683,
		H_261 = 2684,
		H_263 = 2685,
		GSM = 2687,
		NW_SPX = 3001,
		NW_RIP = 3002,
		NW_SAP = 3003,
		NW_NCP = 3004,
		NW_NLSP = 3005,
		NW_NBIOS = 3006,
		NW_Diagnostic = 3007,
		NW_Serial = 3008,
		NCP_Conn_Req = 3014,
		NCP_Request = 3015,
		NCP_Reply = 3016,
		NCP_Destroy = 3017,
		NCP_Burst = 3018,
		NCP_Delay = 3019,
		NLSP_LAN_Hello = 3025,
		NLSP_LSP = 3026,
		NLSP_CSNP = 3027,
		NLSP_PSNP = 3028,
		SAP_Request = 3033,
		SAP_Reply = 3034,
		RIP_Request = 3037,
		RIP_Reply = 3038,
		IPX = 3750,
		XNS = 4000,
		XNS_RIP = 4001,
		XNS_ECHO = 4002,
		XNS_ERR = 4003,
		XNS_PEP = 4004,
		XNS_SPP = 4005,
		VINES_IP_VINES_Internet = 4500,
		VINES_Echo = 4501,
		VINES_IPC = 4502,
		VINES_SPP = 4503,
		VINES_ARP = 4504,
		VINES_RTP = 4505,
		VINES_ICP = 4506,
		VINES_IP_VINES_IP = 4700,
		DECnet = 5000,
		DEC_MOPDL = 5010,
		DEC_MOPRC = 5020,
		DEC_Ph_IV = 5030,
		DEC_CtlInit = 5031,
		DEC_CtlVerify = 5032,
		DEC_CtlHello = 5033,
		DEC_L1Rtg = 5034,
		DEC_L2Rtg = 5035,
		DEC_RtrHello = 5036,
		DEC_EnHello = 5037,
		DEC_SDFmt = 5038,
		DEC_LDFmt = 5039,
		DEC_NSPData = 5040,
		DEC_NSPAck = 5041,
		DEC_NSPCtl = 5042,
		DEC_CtlNop = 5043,
		DEC_CInit = 5044,
		DEC_CConf = 5045,
		DEC_DInit = 5046,
		DEC_DConf = 5047,
		DEC_RXCI = 5048,
		DEC_LAT = 5070,
		LAT_Run = 5071,
		LAT_Conn = 5072,
		LAT_Disc = 5073,
		LAT_Svc = 5074,
		DEC_Diag = 5080,
		DEC_Cust = 5085,
		DEC_LAVC = 5088,
		NetBEUI = 6000,
		NB_AGNQ = 6001,
		NB_AdNQ = 6002,
		NB_NamIC = 6003,
		NB_StatQ = 6004,
		NB_TTRO = 6005,
		NB_Datagram = 6006,
		NB_Dgram_Bcast = 6007,
		NB_Name_Query = 6008,
		NB_Add_Name_Rsp = 6009,
		NB_Name_Recog = 6010,
		NB_Status_Rsp = 6011,
		NB_TTLR = 6012,
		NB_Data_Ack = 6013,
		NB_Data_1st_Middle = 6014,
		NB_Data_Only_Last = 6015,
		NB_Sess_Conf = 6016,
		NB_Sess_End = 6017,
		NB_Sess_Init = 6018,
		NB_No_Rcv = 6019,
		NB_Rcv_Out = 6020,
		NB_Rcv_Cont = 6021,
		NB_Sess_Alive = 6022,
		SMB = 6100,
		SMB_Create_Dir = 6101,
		SMB_Delete_Dir = 6102,
		SMB_Open_File = 6103,
		SMB_Create_File = 6104,
		SMB_Close_File = 6105,
		SMB_Flush_File = 6106,
		SMB_Delete_File = 6107,
		SMB_Rename_File = 6108,
		SMB_Get_File_Attr = 6109,
		SMB_Set_File_Attr = 6110,
		SMB_Read_From_File = 6111,
		SMB_Write_To_File = 6112,
		SMB_Lock_Byte_Range = 6113,
		SMB_Unlock_Byte_Range = 6114,
		SMB_Create_Temp_File = 6115,
		SMB_Make_New_File = 6116,
		SMB_Check_Dir_Path = 6117,
		SMB_Process_Exit = 6118,
		SMB_Seek = 6119,
		SMB_Lock_Then_Read_Data = 6120,
		SMB_Write_Then_Unlock_Data = 6121,
		SMB_Read_Block_Raw = 6122,
		SMB_Read_Block_Multiplexed = 6123,
		SMB_Read_Block_2nd_Rsp = 6124,
		SMB_Write_Block_Raw = 6125,
		SMB_Write_Block_Multiplexed = 6126,
		SMB_Write_Block_2nd_Req = 6127,
		SMB_Write_Complete_Rsp = 6128,
		SMB_Set_File_Attr_Expand = 6129,
		SMB_Get_File_Attr_Expand = 6130,
		SMB_Lock_Byte_Ranges_AND_X = 6131,
		SMB_Xact_Name__Bytes_In_Out = 6132,
		SMB_Transaction_2nd = 6133,
		SMB_IOCTL = 6134,
		SMB_IOCTL_2nd = 6135,
		SMB_Copy = 6136,
		SMB_Move = 6137,
		SMB_Echo = 6138,
		SMB_Write_AND_Close = 6139,
		SMB_Open_AND_X = 6140,
		SMB_Read_AND_X = 6141,
		SMB_Write_AND_X = 6142,
		SMB_Xact2_Function__Byte_In_Out = 6143,
		SMB_Transaction2_2nd = 6144,
		SMB_Find_Close_2 = 6145,
		SMB_Find_Notify_Close = 6146,
		SMB_Tree_Conn = 6147,
		SMB_Tree_Disconn = 6148,
		SMB_Negotiate_Protocol = 6149,
		SMB_Sess_Set_Up_And_X = 6150,
		SMB_User_Logoff_AND_X = 6151,
		SMB_Tree_Conn_AND_X = 6152,
		SMB_Get_Server_Attr = 6153,
		SMB_Search_Directory = 6154,
		SMB_Find_First = 6155,
		SMB_Find_Unique = 6156,
		SMB_Find_Close = 6157,
		SMB_Open_Print_Spool_File = 6158,
		SMB_Write_To_Print_Spool_File = 6159,
		SMB_Close_Print_Spool_File = 6160,
		SMB_Return_Print_Queue = 6161,
		SMB_Send_Single_Block_Msg = 6162,
		SMB_Send_Broadcast_Msg = 6163,
		SMB_Forward_User_Name = 6164,
		SMB_Cancel_Forward = 6165,
		SMB_Get_Machine_Name = 6166,
		SMB_Send_SOMB_Msg = 6167,
		SMB_Send_EOMB_Msg = 6168,
		SMB_Send_TOMB_Msg = 6169,
		SMB_NT_Create_and_X = 6170,
		SMB_NT_Cancel = 6171,
		SMB_NT_Transaction = 6172,
		AppleTalk_Ph2 = 7100,
		RTMP = 7101,
		RTMP_Data = 7102,
		RTMP_Request = 7103,
		NBP = 7104,
		NBP_BrRq = 7105,
		NBP_Lookup = 7106,
		NBP_Reply = 7107,
		NBP_FwdReq = 7108,
		ATP = 7109,
		ATP_TReq = 7110,
		ATP_TRsp = 7111,
		ATP_TRel = 7112,
		PAP = 7113,
		PAP_OpenConn = 7114,
		PAP_OpenConnReply = 7115,
		PAP_SendData = 7116,
		PAP_Data = 7117,
		PAP_Tickle = 7118,
		PAP_CloseConn = 7119,
		PAP_CloseConnReply = 7120,
		PAP_SendStatus = 7121,
		PAP_StatusReply = 7122,
		AT_ASP = 7123,
		ASP_CloseSess = 7124,
		ASP_Cmd = 7125,
		ASP_GetStatus = 7126,
		ASP_OpenSess = 7127,
		ASP_Tickle = 7128,
		ASP_Write = 7129,
		ASP_WriteCont = 7130,
		ASP_Attn = 7131,
		ATP_GZL = 7132,
		ATP_GLZ = 7133,
		ATP_GMZ = 7134,
		ATP_GZR = 7135,
		AT_AEP = 7136,
		AEP_Request = 7137,
		AEP_Reply = 7138,
		AT_ZIP = 7139,
		ZIP_Query = 7140,
		ZIP_Reply = 7141,
		ZIP_ExtReply = 7142,
		ZIP_GNIR_GetNetInfo_Req = 7143,
		ZIP_GNIR_GetNetInfo_Reply = 7144,
		ZIP_Notify = 7145,
		AT_ADSP = 7146,
		ADSP_Ctl = 7147,
		ADSP_Data = 7148,
		ADSP_Probe_Ack = 7149,
		ADSP_OCR = 7150,
		ADSP_OCA = 7151,
		ADSP_ORA = 7152,
		ADSP_OCD = 7153,
		ADSP_CCA = 7154,
		ADSP_FwdReset = 7155,
		ADSP_RTA = 7157,
		AT_SNMP = 7158,
		AT_ABP = 7159,
		AT_MacIP = 7160,
		Short_DDP = 7300,
		Long_DDP = 7500,
		ATalk = 7700,
		Short_DDP_Embedded_In_Internet_Protocol = 7771,
		Long_DDP_Embedded_In_Internet_Protocol = 7772,
		AURP = 7773,
		AURP_RIReq = 7774,
		AURP_RIRsp = 7775,
		AURP_RIAck = 7776,
		AURP_RIUpd = 7777,
		AURP_RDwn = 7778,
		AURP_ZoneReq = 7779,
		AURP_ZoneRsp = 7780,
		AURP_OpenReq = 7781,
		AURP_OpenRsp = 7782,
		AURP_Tickle = 7783,
		AURP_TAck = 7784,
		OSI = 8000,
		CLNP = 8100,
		CLNP_ExpData = 8101,
		CLNP_ExpDataAck = 8102,
		CLNP_Reject = 8103,
		CLNP_Data_Ack = 8104,
		CLNP_TPDU_Err = 8105,
		CLNP_Disconn_Req = 8106,
		CLNP_Disconn_Conf = 8107,
		CLNP_Conn_Conf = 8108,
		CLNP_Conn_Req = 8109,
		CLNP_Data = 8110,
		CLNP_TARP = 8111,
		CLNP_TARP_L1Req = 8112,
		CLNP_TARP_L2Req = 8113,
		CLNP_TARP_Rsp = 8114,
		CLNP_TARP_AddrCh = 8115,
		CLNP_TARP_ReqTID = 8116,
		ESIS = 8150,
		ESIS_ES_Hello = 8151,
		ESIS_IS_Hello = 8152,
		ESIS_Redirect = 8153,
		ISIS = 8200,
		ISIS_L1_RHello = 8201,
		ISIS_L2_RHello = 8202,
		ISIS_PP_Hello = 8203,
		ISIS_L1_LSP = 8204,
		ISIS_L2_LSP = 8205,
		ISIS_XID = 8206,
		ISIS_L1_CSNP = 8207,
		ISIS_L2_CSNP = 8208,
		ISIS_L1_PSNP = 8209,
		ISIS_L2_PSNP = 8210,
		IPv6 = 8300,
		IEEE_802_1x = 14000,
		EAPOL_EAP_Packet = 14100,
		EAP_Request = 14110,
		EAP_Response = 14120,
		EAP_Success = 14130,
		EAP_Failure = 14140,
		EAPOL_Start = 14200,
		EAPOL_Logoff = 14300,
		EAPOL_Key = 14400,
		EAPOL_Encapsulated_ASF_Alert = 14500,
	};
};
